Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class RunTimeCompiler

public class RunTimeCompiler

Class to compile generated Java models.

Inner Class Summary
`public static class` | RunTimeCompiler.ErrorOutputStream

Field Summary
`static Category` | `log`

Constructor Summary
`RunTimeCompiler(String classpath, String srcDir, String[] files)`

Method Summary
`boolean` | `execute()` Use introspection to not include javac into build classpath.
`String[]` | `getArguments()`
`String` | `getClasspath()`
`String[]` | `getFiles()`
`String` | `getMessages()`
`String` | `getOutDir()`
`String` | `getSrcDir()`
`void` | `setClasspath(String classpath)`
`void` | `setFiles(String[] files)`
`void` | `setOutDir(String outDir)`
`void` | `setSrcDir(String srcDir)`

Field Detail

### log

    public static Category log

Constructor Detail

### RunTimeCompiler

    public RunTimeCompiler(String classpath, String srcDir, String[] files)

Method Detail

### execute

    public boolean execute()

  Use introspection to not include javac into build classpath.

### getArguments

    public String[] getArguments()

### getClasspath

    public String getClasspath()

### getFiles

    public String[] getFiles()

### getMessages

    public String getMessages()

### getOutDir

    public String getOutDir()

### getSrcDir

    public String getSrcDir()

### setClasspath

    public void setClasspath(String classpath)

### setFiles

    public void setFiles(String[] files)

### setOutDir

    public void setOutDir(String outDir)

### setSrcDir

    public void setSrcDir(String srcDir)

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class biouml.plugins.simulation.java.RunTimeCompiler.ErrorOutputStream

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM